[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TAnchorSide.Assign

Copies properties from the specified persistent object into the current class instance.

## Declaration

Source position: controls.pp line 950

`public procedure TAnchorSide.Assign(`
`Source: TPersistent`
`); override;`

## Arguments

`Source` |  | Persistent object with the properties copied in the method.

## Description

Assign is an overridden method in TAnchorSide used to copy property values from the persistent object in Source into the current class instance. When Source is derived from TAnchorSide, the following properties are copied:

- Side
- Control

If Source is not derived from TAnchorSide, the inherited method is called using Source as an argument.

## See also

TPersistent